Gtk_TreeItem(3)

NAME - Gtk_TreeItem

HEADER REQUIRED
#include <gtk--/treeitem.h&gt;>

BASE CLASSES
Gtk_Item(3)

PROPERTIES

subtree
    Type: Gtk_Widget*

pixmaps_box
    Type: Gtk_Widget*

pixmaps
    Type: GList*

     pixmap node for this items color depth

expanded
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_TreeItem();
    Gtk_TreeItem(const _gtk_string &label);
    Gtk_TreeItem(GtkTreeItem *castitem);
    void  set_subtree(const Gtk_Tree &subtree);
    Gtk_Tree*  get_subtree();
    void  remove_subtree();
    signal void  expand(BaseObjectType);
    signal void  collapse(BaseObjectType);
    GtkTreeItem*  gtkobj();
    const GtkTreeItem*  gtkobj() const;
    static bool  isGtkTreeItem(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkTreeItem  BaseObjectType;
    typedef GtkTreeItemClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  expand_impl();
    virtual void  collapse_impl();

PRIVATE MEMBER INDEX
    static CppClassType  tree_item_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS